---
layout: docs
page_title: 'Commands: node meta apply'
description: |
  The node meta apply command updates node metadata.
---

# Command: node meta apply

Modify a node's metadata. This command only applies to client agents, and can
be used to update the scheduling metadata the node registers.

~> Changes are batched and may take up to 10 seconds to propagate to the
   servers and affect scheduling.

This command uses the [`/v1/client/metadata` HTTP API][api].

## Usage

```plaintext
nomad node meta apply [-node-id ...] [-unset ...] key1=value1 ... kN=vN
```

## General Options

@include 'general_options.mdx'

## Node Meta Apply Options

- `-node-id` - Updates metadata on the specified node. If not specified the
  node receiving the request will be used by default.

- `-unset` - Unset the comma separated list of keys.

## Examples

```shell-session
$ nomad node meta apply -unset testing,tempvar ready=1 role=preinit-db
```

[api]: /nomad/api-docs/client#update-node-metadata
